Get tasks
curl --request GET \
--url https://api.smokeball.com/tasks \
--header 'Authorization: <api-key>' \
--header 'x-api-key: <api-key>'import requests
url = "https://api.smokeball.com/tasks"
headers = {
"x-api-key": "<api-key>",
"Authorization": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>', Authorization: '<api-key>'}};
fetch('https://api.smokeball.com/tasks', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"href": "<string>",
"relation": "<string>",
"method": "GET",
"self": {
"id": "<string>",
"href": "<string>",
"relation": "<string>",
"method": "GET"
},
"value": [
{
"id": "<string>",
"href": "<string>",
"relation": "<string>",
"method": "GET",
"self": {
"id": "<string>",
"href": "<string>",
"relation": "<string>",
"method": "GET"
},
"matter": {
"id": "<string>",
"href": "<string>",
"relation": "<string>",
"method": "GET"
},
"parentTask": {
"id": "<string>",
"href": "<string>",
"relation": "<string>",
"method": "GET"
},
"createdBy": {
"id": "<string>",
"href": "<string>",
"relation": "<string>",
"method": "GET"
},
"completedBy": {
"id": "<string>",
"href": "<string>",
"relation": "<string>",
"method": "GET"
},
"lastUpdatedBy": {
"id": "<string>",
"href": "<string>",
"relation": "<string>",
"method": "GET"
},
"assignees": [
{
"id": "<string>",
"href": "<string>",
"relation": "<string>",
"method": "GET"
}
],
"subTasks": [
{
"id": "<string>",
"href": "<string>",
"relation": "<string>",
"method": "GET"
}
],
"subject": "Review contract for John Smith",
"note": "Contract needs to be reviewed and discussed with John",
"categories": [
"<string>"
],
"dueDate": "2020-02-15T13:00:00Z",
"dueDateOnly": "2020-02-15T00:00:00",
"completedDate": "2020-02-15T13:00:00Z",
"completedDateOnly": "2020-02-15T00:00:00",
"createdDate": "2020-02-15T13:00:00Z",
"createdDateOnly": "2020-02-15T00:00:00",
"isCompleted": false,
"isDeleted": false,
"lastUpdated": 637847425252027400,
"duration": "PT4H33M"
}
],
"offset": 123,
"limit": 123,
"size": 123,
"first": {
"id": "<string>",
"href": "<string>",
"relation": "<string>",
"method": "GET"
},
"previous": {
"id": "<string>",
"href": "<string>",
"relation": "<string>",
"method": "GET"
},
"next": {
"id": "<string>",
"href": "<string>",
"relation": "<string>",
"method": "GET"
},
"last": {
"id": "<string>",
"href": "<string>",
"relation": "<string>",
"method": "GET"
}
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>"
}Tasks
Get tasks
Returns a list of tasks.
GET
/
tasks
Get tasks
Query Parameters
Required range:
0 <= x <= 2147483647Required range:
1 <= x <= 500Filter by tasks that are assigned to the specified matter id..
Example:
"1bf55840-cba3-4f8a-8c0f-66082692e493"
Filter by tasks tasks that have been completed. Leave blank if
Example:
true
Filter by tasks updated since a specified time (.net ticks representation of the UTC datetime). Cannot be used in conjunction with LastUpdated.
This field will not be supported in future, please use LastUpdated instead.
Example:
637873555398585000
Filter by last updated date of a task. Cannot be used in conjunction with UpdatedSince.
Example:
"2022-04-23T14:00:00Z"
Response
When request is successful. Returns a list of 'Task' objects.
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
āI